// EmonLibrary examples openenergymonitor.org, Licence GNU GPL V3
#define AMUXSEL0 14     // AMUX Selector 0 if edited here edid in emonlib.cpp
#define AMUXSEL1 12     // AMUX Selector 1 if edited here edid in emonlib.cpp
#define AMUXSEL2 15     // AMUX Selector 2 if edited here edid in emonlib.cpp
#define LEDpin  13      // set LED
#include "EmonLibesp.h"             // Include Emon Library
EnergyMonitor emon1;             // Create an instance

void setup()
{ 
pinMode(AMUXSEL0, OUTPUT);   // sets the digital pin as output
pinMode(AMUXSEL1, OUTPUT); 
pinMode(AMUXSEL2, OUTPUT); 
pinMode(LEDpin, OUTPUT); 
  Serial.begin(9600);
 
  emon1.voltage(2, 234.26, 1.7);  // Voltage: input pin, calibration, phase_shift
  emon1.current(1, 111.1);       // Current: input pin, calibration.
}

void loop()
{
  emon1.calcVI(20,2000);         // Calculate all. No.of half wavelengths (crossings), time-out
  emon1.serialprint();           // Print out all variables (realpower, apparent power, Vrms, Irms, power factor)
  
  float realPower       = emon1.realPower;        //extract Real Power into variable
  float apparentPower   = emon1.apparentPower;    //extract Apparent Power into variable
  float powerFActor     = emon1.powerFactor;      //extract Power Factor into Variable
  float supplyVoltage   = emon1.Vrms;             //extract Vrms into Variable
  float Irms            = emon1.Irms;             //extract Irms into Variable
}
